# GimpUi.ZoomModel

    from gi.repository import GimpUi

    zoom_model = GimpUi.ZoomModel(maximum=value, minimum=value, value=value)

A model for zoom values.

## Hierarchy

- GObject.Object
  - GimpUi.ZoomModel

## Methods

- GimpUi.ZoomModel.get_factor
- GimpUi.ZoomModel.get_fraction
- GimpUi.ZoomModel.set_range
- GimpUi.ZoomModel.zoom

## Static Functions

- GimpUi.ZoomModel.zoom_step

## Properties

- fraction
- maximum
- minimum
- percentage
- value

## Signals

- zoomed